Bug 846223 - Review Request: python-ldaptor - Python LDAP client library
Review Request: python-ldaptor - Python LDAP client library
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jiri Popelka
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-07 04:24 EDT by Jan Vcelak
Modified: 2013-03-03 20:30 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-10 07:26:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
jpopelka: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Jan Vcelak 2012-08-07 04:24:20 EDT
Spec URL:
http://jvcelak.fedorapeople.org/review/python-ldaptor/1.20120515git29a06fa/python-ldaptor.spec

SRPM URL:
http://jvcelak.fedorapeople.org/review/python-ldaptor/1.20120515git29a06fa/python-ldaptor-0.0.44-1.20120515git29a06fa.fc17.src.rpm

Description:
Ldaptor is LDAP library written in pure Python. The library implements LDAP
client logic, separately-accessible LDAP and BER protocol message generation
and parsing, ASCII format LDAP filter generation and parsing, LDIF format
data generation, and Samba password changing logic.

Fedora Account System Username:
jvcelak

rpmlint output:

> python-ldaptor-tools.noarch: W: no-documentation

Package depends on python-ldaptor with base documentation.

> python-ldaptor-tools.noarch: W: no-manual-page-for-binary ldaptor-ldifpatch
> python-ldaptor-tools.noarch: W: no-manual-page-for-binary ldaptor-ldifdiff
> python-ldaptor-tools.noarch: W: no-manual-page-for-binary ldaptor-ldap2pdns
> python-ldaptor-tools.noarch: W: no-manual-page-for-binary ldaptor-ldap2passwd
> python-ldaptor-tools.noarch: W: no-manual-page-for-binary ldaptor-search
> python-ldaptor-tools.noarch: W: no-manual-page-for-binary ldaptor-fetchschema
> python-ldaptor-tools.noarch: W: no-manual-page-for-binary ldaptor-getfreenumber
> python-ldaptor-tools.noarch: W: no-manual-page-for-binary ldaptor-rename
> python-ldaptor-tools.noarch: W: no-manual-page-for-binary ldaptor-find-server
> python-ldaptor-tools.noarch: W: no-manual-page-for-binary ldaptor-ldap2maradns
> python-ldaptor-tools.noarch: W: no-manual-page-for-binary ldaptor-namingcontexts
> python-ldaptor-tools.noarch: W: no-manual-page-for-binary ldaptor-passwd
> python-ldaptor-tools.noarch: W: no-manual-page-for-binary ldaptor-ldap2dhcpconf
> python-ldaptor-tools.noarch: W: no-manual-page-for-binary ldaptor-ldap2dnszones

No manual pages provided by upstream.

> python-ldaptor.src: W: invalid-url Source0: antong-ldaptor-29a06fa.tar.gz
> python-ldaptor.spec: W: invalid-url Source0: antong-ldaptor-29a06fa.tar.gz

Upstream provides no source tarballs. The process of obtaining source archive is written in the specfile as a comment.

> 4 packages and 1 specfiles checked; 0 errors, 17 warnings.
Comment 1 Jan Vcelak 2012-08-07 04:25:30 EDT
Fedora 17 mockbuilds:
http://jvcelak.fedorapeople.org/review/python-ldaptor/1.20120515git29a06fa/
Comment 2 Jiri Popelka 2012-08-09 13:55:01 EDT
Package Review
==============

Key:
- = N/A
x = Pass
! = Fail

==== Python ====
[x]: MUST Python eggs must be built from source.

==== Generic ====
[x]: MUST Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: MUST Package successfully compiles and builds into binary rpms on at
     least one supported primary architecture.
[x]: MUST %build honors applicable compiler flags or justifies otherwise.
[x]: MUST All build dependencies are listed in BuildRequires.
[x]: MUST Package contains no bundled libraries.
[x]: MUST Changelog in prescribed format.
[x]: MUST Sources contain only permissible code or content.
[x]: MUST %config files are marked noreplace or the reason is justified.
[-]: MUST Each %files section contains %defattr if rpm < 4.4
[-]: MUST Macros in Summary, %description expandable at SRPM build time.
[-]: MUST Package contains desktop file if it is a GUI application.
[-]: MUST Development files must be in a -devel package
[x]: MUST Package requires other packages for directories it uses.
[-]: MUST Package uses nothing in %doc for runtime.
[x]: MUST Package is not known to require ExcludeArch.
[x]: MUST Permissions on files are set properly.
[x]: MUST Package does not contain duplicates in %files.
[x]: MUST Fully versioned dependency in subpackages, if present.
[x]: MUST Spec file lacks Packager, Vendor, PreReq tags.
[x]: MUST Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: MUST Large documentation files are in a -doc subpackage, if required.
[x]: MUST If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %doc.
[x]: MUST License field in the package spec file matches the actual license.
[x]: MUST License file installed when any subpackage combination is installed.
[x]: MUST Package consistently uses macro.
[x]: MUST Package is named using only allowed ascii characters.
[x]: MUST Package is named according to the Package Naming Guidelines.
[x]: MUST No %config files under /usr.
[x]: MUST Package does not generate any conflict.
[x]: MUST Package obeys FHS.
[-]: MUST If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: MUST Package must own all directories that it creates.
[x]: MUST Package does not own files or directories owned by other packages.
[x]: MUST Package installs properly.
[x]: MUST Package is not relocatable.
[x]: MUST Requires correct, justified where necessary.
[x]: MUST Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: MUST Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: MUST Spec file is legible and written in American English.
[x]: MUST Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[-]: MUST Package contains systemd file(s) if in need.
[x]: MUST File names are valid UTF-8.
[x]: SHOULD Reviewer should test that the package builds in mock.
[x]: SHOULD Buildroot is not present
[x]: SHOULD Package has no %clean section with rm -rf %{buildroot}
[-]: SHOULD If the source package does not include license text(s) as a
     separate file from upstream, the packager SHOULD query upstream to
     include it.
[x]: SHOULD Dist tag is present.
[x]: SHOULD No file requires outside of /etc, /bin, /sbin, /usr/bin,
     /usr/sbin.
[x]: SHOULD Final provides and requires are sane (rpm -q --provides and rpm -q
     --requires).
[x]: SHOULD Latest version is packaged.
[x]: SHOULD Package does not include license text files separate from upstream.
[x]: SHOULD SourceX tarball generation or download is documented.
[x]: SHOULD Spec use %global instead of %define.

I have only one question:
is the
BuildRequires: %{required_modules}
in
%package doc
OK ? 
I think it should be either
Requires: %{required_modules}
or rather remove it at all.


But everything else seems to be OK, so this package has been APPROVED !
Comment 3 Jan Vcelak 2012-08-09 15:36:31 EDT
Thank you, Jiri. The Required packages are not installed during package build. And we need the modules for generating HTML documentation by epydoc. Therefore I added these to BuildRequires as well.
Comment 4 Jan Vcelak 2012-08-09 15:39:51 EDT
New Package SCM Request
=======================
Package Name: python-ldaptor
Short Description: Python LDAP client library
Owners: jvcelak
Branches: f17 f18
InitialCC:
Comment 5 Gwyn Ciesla 2012-08-09 15:46:12 EDT
Git done (by process-git-requests).
Comment 6 Jan Vcelak 2012-08-10 07:26:21 EDT
python-ldaptor-0.0.44-1.20120515git29a06fa.fc17
python-ldaptor-0.0.44-1.20120515git29a06fa.fc18
python-ldaptor-0.0.44-1.20120515git29a06fa.fc19

Note You need to log in before you can comment on or make changes to this bug.